package com.engine.organization.wrapper;

import com.engine.common.util.ServiceUtil;
import com.engine.core.impl.Service;
import com.engine.organization.entity.staff.param.StaffSearchParam;
import com.engine.organization.service.StaffService;
import com.engine.organization.service.impl.StaffServiceImpl;
import weaver.hrm.User;

import java.util.Collection;
import java.util.Map;

/**
 * @description:
 * @author:dxfeng
 * @createTime: 2022/05/25
 * @version: 1.0
 */
public class StaffWrapper extends Service {
    private StaffService getStaffService(User user) {
        return ServiceUtil.getService(StaffServiceImpl.class, user);
    }

    /**
     * 编制列表
     *
     * @param params
     * @return
     */
    public Map<String, Object> listPage(StaffSearchParam params) {
        return getStaffService(user).listPage(params);
    }

    /**
     * 新增编制
     *
     * @param param
     * @return
     */
    public int saveStaff(StaffSearchParam param) {
        return getStaffService(user).saveStaff(param);
    }

    /**
     * 更新编制
     *
     * @param param
     * @return
     */
    public int updateStaff(StaffSearchParam param) {
        return getStaffService(user).updateStaff(param);
    }


    /**
     * 根据ID批量删除
     *
     * @param ids
     */
    public int deleteByIds(Collection<Long> ids) {
        return getStaffService(user).deleteByIds(ids);
    }

    /**
     * 获取搜索条件
     *
     * @param params
     * @return
     */
    public Map<String, Object> getSearchCondition(Map<String, Object> params) {
        return getStaffService(user).getSearchCondition(params);
    }


    /**
     * 获取新增表单
     *
     * @param params
     * @return
     */
    public Map<String, Object> getForm(Map<String, Object> params) {
        return getStaffService(user).getForm(params);
    }

    /**
     * 获取列表页面按钮信息
     *
     * @return
     */
    public Map<String, Object> getHasRight() {
        return getStaffService(user).getHasRight();
    }
}
